[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#436550: RFA: glipper - A clipboard manager for GNOME



Package: wnpp
Severity: normal
X-Debbugs-CC: debian-devel@lists.debian.org

Glipper is currently my package in Debian at 0.95.1-3 and that version
is written in C and uses a binary data file which has raised one bug
(#436078).

There is now a new release that closes this bug, my problem is that
v1.0 is a ground-up rewrite in Python! Essentially, glipper v1.0 is a
completely different package internally. (Previous translations have
also been lost.)

I have no python experience, no python packages and no ability to do
anything if (when) python code goes wrong. I don't want to have to
learn python just for glipper (don't have time).

So - I don't see what I can do except request adoption of glipper, it
just seems so weird to leave a package which is active while I am also
active.

Anyone fancy taking on glipper?

I don't think there's any point retaining the old C package - that code
is already dead upstream.

Currently, there is no RCS for the debian packaging for glipper - I was
using CDBS and the current watch file needs editing to look for a
tar.bz2 instead of the previous tar.gz.

There is an issue with migrating from 0.95.1 to 1.0 - the ~/.glipper
directory needs to be removed.

Glipper v1.0 is also now GNOME only, support for other window managers
has not been implemented in the python version.

-- 

Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

Attachment: pgpwrO1PPpiXe.pgp
Description: PGP signature


Reply to: